"use client";
import axios from "axios";
export async function signInWithProvider(provider, config) {
    const { data: oauthUrlJson } = await axios.get('/api/auth/signIn', {
        params: {
            provider: provider,
        },
        headers: {
            ...config
        },
        validateStatus: () => true
    });
    if (typeof window == "undefined")
        throw Error("signin should be ran client side");
    // Navigate to the URL
    if (!oauthUrlJson.success) {
        return oauthUrlJson;
    }
    else if (oauthUrlJson.data?.url) {
        window.location.href = oauthUrlJson.data.url;
        return false;
    }
    else {
        return oauthUrlJson;
    }
}
