import 'server-only';
import { cookies } from "next/headers";
import { Auth } from "../index";
import { decodeToken } from "./jwt";
export async function sessionsInternal() {
    const cookie = cookies();
    const sessionTokenString = cookie.get("SessionToken")?.value;
    if (!sessionTokenString)
        return false;
    try {
        const decodedPayload = await decodeToken(sessionTokenString);
        if (!decodedPayload || !decodedPayload.payload || !decodedPayload.payload.provider)
            return false;
        const currentProvider = Auth.config[decodedPayload.payload.provider];
        /*let cacheAccount: IAccounts | undefined = undefined
        if (currentProvider.cache) {
          const cachedAccountString = await currentProvider.cache.getValue(Session)
          if (cachedAccountString) cacheAccount = JSON.parse(cachedAccountString)
        }*/
        return currentProvider.provider.handleAuthCheck(sessionTokenString);
    }
    catch (e) {
        console.log(e);
        return false;
    }
}
